package com.hjy.web.controller.common;

import com.google.code.kaptcha.Producer;
import com.hjy.common.config.ZhbsqConfig;
import com.hjy.common.constant.CacheConstants;
import com.hjy.common.constant.Constants;
import com.hjy.common.core.domain.AjaxResult;
import com.hjy.common.core.redis.RedisCache;
import com.hjy.common.utils.sign.Base64;
import com.hjy.common.utils.uuid.IdUtils;
import com.hjy.system.service.ISysConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.FastByteArrayOutputStream;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.imageio.ImageIO;
import javax.servlet.http.HttpServletResponse;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.util.concurrent.TimeUnit;


/**
 * 验证码操作处理
 *
 * @author HJY
 */
@RestController
public class CaptchaController {

    @Autowired
    private CaptchaUtils captchaUtils;

    @GetMapping("/captchaImage")
    public AjaxResult getCode(HttpServletResponse response) throws IOException {
        return captchaUtils.getCaptchaData();
    }
}
