package com.hjy.common.enums;

import lombok.Data;

public enum WorkFlowServiceEnums {
    NORMSERVICE("normService", "指标分类Service业务层处理"),
    NEWSSERVICE("newsService","新闻管理Service业务层处理");


    private final String service;
    private final String desc;

    WorkFlowServiceEnums(String service, String desc) {
        this.service = service;
        this.desc = desc;
    }

    public String getService() {
        return service;
    }

    public String getDesc() {
        return desc;
    }
}
