package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbExpertService;
import com.hjy.module.vo.portal.CbExpertServiceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 专家服务配置Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface CbExpertServiceMapper extends BaseMapper<CbExpertService> {

    Page<CbExpertServiceVo> queryList(Page<?> page, @Param("entity") CbExpertServiceVo entity);

    List<CbExpertServiceVo> queryList(@Param("entity") CbExpertServiceVo entity);

    CbExpertServiceVo queryById(@Param("id") String id);

}
