package com.hjy.module.service.gather.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.gether.CbGatherFee;
import com.hjy.module.mapper.gather.CbGatherFeeMapper;
import com.hjy.module.service.gather.ICbGatherFeeService;
import com.hjy.module.vo.gather.CbGatherFeeVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 数据采集明细Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Service
public class CbGatherFeeServiceImpl extends ServiceImpl<CbGatherFeeMapper, CbGatherFee> implements ICbGatherFeeService {

    @Override
    public TableDataInfo<CbGatherFeeVo> queryList(CbGatherFeeVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbGatherFeeVo> queryAll(CbGatherFeeVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbGatherFeeVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
