package com.hjy.module.service.gather.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.mapper.gather.CbGatherMapper;
import com.hjy.module.service.gather.ICbGatherService;
import com.hjy.module.vo.gather.CbGatherVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 数据采集Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Service
public class CbGatherServiceImpl extends ServiceImpl<CbGatherMapper, CbGather> implements ICbGatherService {

    @Override
    public TableDataInfo<CbGatherVo> queryList(CbGatherVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbGatherVo> queryAll(CbGatherVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbGatherVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
