package com.hjy.module.service.gather.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.gether.CbGatherWarning;
import com.hjy.module.mapper.gather.CbGatherWarningMapper;
import com.hjy.module.service.gather.ICbGatherWarningService;
import com.hjy.module.vo.gather.CbGatherWarningVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 数据采集预警Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Service
public class CbGatherWarningServiceImpl extends ServiceImpl<CbGatherWarningMapper, CbGatherWarning> implements ICbGatherWarningService {

    @Override
    public TableDataInfo<CbGatherWarningVo> queryList(CbGatherWarningVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbGatherWarningVo> queryAll(CbGatherWarningVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbGatherWarningVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
