package com.hjy.module.mapper.gather;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.gether.CbGatherFee;
import com.hjy.module.vo.gather.CbGatherFeeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数据采集明细Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface CbGatherFeeMapper extends BaseMapper<CbGatherFee> {

    Page<CbGatherFeeVo> queryList(Page<?> page, @Param("entity") CbGatherFeeVo entity);

    List<CbGatherFeeVo> queryList(@Param("entity") CbGatherFeeVo entity);

    CbGatherFeeVo queryById(@Param("id") String id);

}
